<html>
  <head></head>
  <body>
    <form action="" method="post" novalidate> {% csrf_token %}
        {{ form.as_p }}
        <button name="action" type="submit" value="submit">Save</button>
        <button name="render" type="submit" value="preview">Preview</button>
    </form>
    {% if record_preview %}
        <img src="data:image/png;base64,{{ record_preview }}"
             alt="Render of the record"
        />
    {% endif %}
  </body>
</html>
